function obj=randher(N,d,varargin)
% FUNCTION fc_amat.random.randher
% -- randnher(N,d) 
%      Returns a N-by-d-by-d complex amat object whose matrices are hermitian 
%      where real and imaginary part elements are respectively uniformly 
%      distributed random values on the open intervals (0,1) and (-1, 1).
%      
%      Optional key/value pairs arguments are available with keys:
%        - 'class', value can be 'single' or 'double' (default).
%
%      See also: fc_amat.random.randnher, fc_amat.random.randiher,
%                class amat, rand
%
  p = inputParser; 
  p.addParamValue('class','double',@(x) ismember(lower(x),{'single','double'})); 
  p.parse(varargin{:});
  classname=p.Results.class;
  
  obj=complex(amat(N,d,d,classname));
  for i=1:d
    obj(i,i)=complex(rand(N,1,classname),-1+2*rand(N,1,classname));
    for j=i+1:d
      obj(i,j)=complex(rand(N,1,classname),-1+2*rand(N,1,classname));
      obj(j,i)=conj(obj(i,j));
    end
  end
end
