function A=randsympd(N,d,varargin)
% FUNCTION fc_amat.random.randsympd
% -- randsympd(N,d)
%      Return a N-by-d-by-d amat object with symmetric positive definite 
%      matrices generate from fc_amat.random.randsdd function
%
% -- randnsympd(...,key, value)
%      Optional key/value pairs are those of the fc_amat.random.randsdd 
%      function except 'complex' which is forced to false. key could be:
%        - 'class', value could be 'single' or 'double' (default).
%        - 'a', to set a (lower bound of the interval) value (0 by default).
%        - 'b', to set b (upper bound of the interval) value (1 by default).
%
%      See also: fc_amat.random.randherpd, fc_amat.random.randsdd,
%                fc_amat.random.rand
%                class amat, rand
%
  A=fc_amat.random.randsdd(N,d,'complex',false,varargin{:}); % generate N regular d-by-d matrices (as stricly diagonally dominante matrices)
  A=A'*A;
end
