function plot2D(varargin)
  close all % :start:
  meshfile=fc_oogmsh.gmsh.buildmesh2d('condenser11',40,varargin{:});
  Th=fc_simesh.siMesh(meshfile);
  u=@(x,y) 0.3*cos(5*(2*x-y)).*sin(5*(x-2*y));
  U=Th.eval(u);

  fc_tools.graphics.monitors.onGrid(2,2);
  
  figure(1)
  Th.plot(U);
  axis image;axis off;view(3)
  colorbar
  shading interp

  figure(2)
  Th.plot(U,'plane',true);
  axis image
  colorbar
  shading interp

  figure(3)
  Th.plot(U,'d',1,'Linewidth',3);
  axis image
  colormap('jet')
  view(3)
  colorbar

  figure(4)
  Th.plot(U,'d',1,'Linewidth',3,'plane',true);
  axis image
  colormap('jet')
  colorbar % :end:
end
